Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.aop
Class StaticServiceReferenceProxy

    java.lang.Object
      org.eclipse.gemini.blueprint.service.importer.support.internal.aop.StaticServiceReferenceProxy

All Implemented Interfaces:
  Comparable, ServiceReferenceProxy, org.osgi.framework.ServiceReference

    public class StaticServiceReferenceProxy

extends Object
implements ServiceReferenceProxy

Simple `ServiceReference` proxy which simply does delegation, without any extra features. It's main purpose is to allow the consistent behaviour between dynamic and static proxies.

Author:
  Costin Leau

Constructor Summary
`StaticServiceReferenceProxy(org.osgi.framework.ServiceReference target)` Constructs a new `StaticServiceReferenceProxy` instance.

Method Summary
`int` | `compareTo(Object other)`
`boolean` | `equals(Object obj)`
`org.osgi.framework.Bundle` | `getBundle()`
`Object` | `getProperty(String key)`
`String[]` | `getPropertyKeys()`
`org.osgi.framework.ServiceReference` | `getTargetServiceReference()` Returns the target, native service reference used, at the moment of the call, by the proxy.
`org.osgi.framework.Bundle[]` | `getUsingBundles()`
`int` | `hashCode()`
`boolean` | `isAssignableTo(org.osgi.framework.Bundle bundle, String className)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticServiceReferenceProxy

    public StaticServiceReferenceProxy(org.osgi.framework.ServiceReference target)

  Constructs a new `StaticServiceReferenceProxy` instance.

  Parameters:
    `target` - service reference

Method Detail

### getBundle

    public org.osgi.framework.Bundle getBundle()

  Specified by:
    `getBundle` in interface `org.osgi.framework.ServiceReference`

### getProperty

    public Object getProperty(String key)

  Specified by:
    `getProperty` in interface `org.osgi.framework.ServiceReference`

### getPropertyKeys

    public String[] getPropertyKeys()

  Specified by:
    `getPropertyKeys` in interface `org.osgi.framework.ServiceReference`

### getUsingBundles

    public org.osgi.framework.Bundle[] getUsingBundles()

  Specified by:
    `getUsingBundles` in interface `org.osgi.framework.ServiceReference`

### isAssignableTo

    public boolean isAssignableTo(org.osgi.framework.Bundle bundle,
                                  String className)

  Specified by:
    `isAssignableTo` in interface `org.osgi.framework.ServiceReference`

### getTargetServiceReference

    public org.osgi.framework.ServiceReference getTargetServiceReference()

  Description copied from interface: `ServiceReferenceProxy`
  Returns the target, native service reference used, at the moment of the call, by the proxy.

  Specified by:
    `getTargetServiceReference` in interface `ServiceReferenceProxy`
  Returns:
    target service reference

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in interface `org.osgi.framework.ServiceReference`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.